View Issue Details

IDProjectCategoryView StatusLast Update
0004148FreeCADBugpublic2020-01-11 23:08
ReporterTC2019 Assigned Touwestoehr  
PrioritylowSeveritytextReproducibilityalways
Status confirmedResolutionreopened 
Product Version0.18 
Target Version0.19 
Summary0004148: Status bar displays mm unit only regardless of user setting in Preferences
DescriptionThe Status bar always displays values in mm even though the Unit in Preferences is set to inches. Having different units makes modeling harder by repeatedly doing unit conversions.

Please note that this issue was posted in the forum at the link below and it was suggested to report it in this tracker:
https://forum.freecadweb.org/viewtopic.php?f=3&t=39654#p336930


Steps To ReproduceThis issue is reproducible:

1). Edit --> Preferences --> Units --> User system -->Imperial decimal (in/lb)
2). Go to working space and move cursor over an object, the coordinates are in mm in Status bar instead of inches
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16117 (Git)
Build type: Release
Branch: releases/FreeCAD-0-18
Hash: dbb4cc6415bac848a294f03b80f65e888d531742
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)
Tagsunits
FreeCAD Information

Activities

Kunda1

2020-01-11 13:11

administrator   ~0014052

CC @uwestoehr Hi, is this an issue you're aware of?

uwestoehr

2020-01-11 14:11

developer   ~0014053

> Hi, is this an issue you're aware of?

I think this is already fixed for FC 0.19: https://forum.freecadweb.org/viewtopic.php?f=3&t=39654&p=359703#p359703
Werner recently fixed some unit issues and obviously also this one.

Kunda1

2020-01-11 17:33

administrator   ~0014058

nad was backported to 0.18.4

uwestoehr

2020-01-11 19:55

developer   ~0014060

Sorry, I was wrong. This is not fixed for the coordinated of the mouse position.

I see there 2 issues:
- the numbers have no displayed unit
- the unit is in every case mm

Issue History

Date Modified Username Field Change
2019-09-27 02:28 TC2019 New Issue
2019-09-27 02:28 TC2019 Tag Attached: units
2019-09-29 13:34 openBrain Priority high => low
2019-09-29 13:34 openBrain Severity major => text
2019-09-29 13:34 openBrain Status new => acknowledged
2020-01-11 13:10 Kunda1 Status acknowledged => confirmed
2020-01-11 13:10 Kunda1 Target Version => 0.19
2020-01-11 13:11 Kunda1 Note Added: 0014052
2020-01-11 14:11 uwestoehr Note Added: 0014053
2020-01-11 17:33 Kunda1 Note Added: 0014058
2020-01-11 17:33 Kunda1 Status confirmed => closed
2020-01-11 17:33 Kunda1 Resolution open => fixed
2020-01-11 17:33 Kunda1 Fixed in Version => 0.19
2020-01-11 19:55 uwestoehr Assigned To => uwestoehr
2020-01-11 19:55 uwestoehr Status closed => feedback
2020-01-11 19:55 uwestoehr Resolution fixed => reopened
2020-01-11 19:55 uwestoehr Note Added: 0014060
2020-01-11 23:08 Kunda1 Status feedback => confirmed
2020-01-11 23:08 Kunda1 Fixed in Version 0.19 =>